## build-essential-mipsen 12.8

=== Makefile ===
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright © 2003-2005 Scott James Remnant <scott@netsplit.com>
# Copyright © 2002-2003 Colin Walters <walters@debian.org>


am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/build-essential
pkgincludedir = $(includedir)/build-essential
pkglibdir = $(libdir)/build-essential
pkglibexecdir = $(libexecdir)/build-essential
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = .
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/configure $(am__configure_deps) AUTHORS \
	install-sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(pkgdatadir)"
DATA = $(pkgdata_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
DIST_TARGETS = dist-gzip
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/missing aclocal-1.14
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/missing autoconf
AUTOHEADER = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/missing autoheader
AUTOMAKE = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/missing automake-1.14
AWK = gawk
CYGPATH_W = echo
DEB_HOST_ARCH = amd64
DEFS = -DPACKAGE_NAME=\"build-essential\" -DPACKAGE_TARNAME=\"build-essential\" -DPACKAGE_VERSION=\"11.1\" -DPACKAGE_STRING=\"build-essential\ 11.1\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"build-essential\" -DVERSION=\"11.1\"
ECHO_C = 
ECHO_N = -n
ECHO_T = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/missing makeinfo
MKDIR_P = /usr/bin/mkdir -p
PACKAGE = build-essential
PACKAGE_BUGREPORT = 
PACKAGE_NAME = build-essential
PACKAGE_STRING = build-essential 11.1
PACKAGE_TARNAME = build-essential
PACKAGE_URL = 
PACKAGE_VERSION = 11.1
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 11.1
abs_builddir = /home/syq/develop/debian/build-essential/build-essential-12.8
abs_srcdir = /home/syq/develop/debian/build-essential/build-essential-12.8
abs_top_builddir = /home/syq/develop/debian/build-essential/build-essential-12.8
abs_top_srcdir = /home/syq/develop/debian/build-essential/build-essential-12.8
am__leading_dot = .
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
have_dpkgarchitecture = yes
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
pkgdata_DATA = \
	list \
	essential-packages-list

EXTRA_DIST = \
	list

all: all-am

.SUFFIXES:
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure: # $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):
install-pkgdataDATA: $(pkgdata_DATA)
	@$(NORMAL_INSTALL)
	@list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgdatadir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pkgdatadir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgdatadir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgdatadir)" || exit $$?; \
	done

uninstall-pkgdataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(pkgdatadir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	$(am__remove_distdir)
	test -d "$(distdir)" || mkdir "$(distdir)"
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	-test -n "$(am__skip_mode_fix)" \
	|| find "$(distdir)" -type d ! -perm -755 \
		-exec chmod u+rwx,go+rx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \

=== debian/changelog ===
build-essential-mipsen (12.8) unstable; urgency=medium

  * Initial release for -mipsen.

 -- YunQiang Su <syq@debian.org>  Mon, 03 Feb 2020 20:49:58 +0800

build-essential (12.8) unstable; urgency=high

  * Stop building crossbuild-essential-mips{,64}el.

 -- Matthias Klose <doko@debian.org>  Sat, 14 Sep 2019 12:52:43 +0200

build-essential (12.7) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 9.2.
  * Bump standards version.
  * Stop build crossbuild-essential-mips.
  * Regenerate lists of essential packages.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Aug 2019 11:34:51 +0200

build-essential (12.6) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 8.3.
  * Regenerate lists of essential packages.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Mar 2019 13:05:10 +0100

build-essential (12.5) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 7.3.
  * Tighten dependency for cross gcc versions. Closes: #891001.
  * Regenerate lists of essential packages.
  * Build crossbuild-essential-amd64, crossbuild-essential-i386.
    Closes: #883769, #875860.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Apr 2018 17:08:43 +0200

build-essential (12.4) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 7.2.
  * Build crossbuild-essential-mips, crossbuild-essential-mips64el,
    crossbuild-essential-s390x, 
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Sep 2017 13:06:39 +0200

build-essential (12.3) unstable; urgency=medium

  * Bump debhelper and standards versions.
  * Bump dependencies on gcc and g++ to 6.3.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Jan 2017 23:23:36 +0100

build-essential (12.2) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 5.3.
  * For cross packages, drop libc-dev dependency on libc-dev.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Feb 2016 00:26:37 +0100

build-essential (12.1) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 5.2.
  * Fix generating essential-package-list files for !linux targets (Pino
    Toscano). Closes: #772593. 
  * Update package lists.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Aug 2015 14:44:21 +0200

build-essential (12) experimental; urgency=medium

  * Update package lists.
  * Add missing architectures to the cross list (Thorsten Glaser).
    Closes: #697702.
  * Enable cross builds for armel, armhf, arm64, mipsel, powerpc, ppc64el.
    Closes: #766551.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Oct 2014 16:36:09 +0200

build-essential (11.7) unstable; urgency=medium

  * Update Standards-Version to 3.9.5.
  * Build-depend on python3:any instead of python3. Closes: #750976.
  * Add package lists for new architectures.
  * Regenerate the autotools files.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Aug 2014 00:48:40 +0200

build-essential (11.6) unstable; urgency=low

  * Update Standards-Version to 3.9.4.
  * Build-depend on python3 instead of python.
  * Update make-esslist.sh to consider ports archives and distros.
    Closes: #603386.
  * Update essential packages lists.
  * Build crossbuild-essential-<arch> packages for architectures
    provided in debian/cross-targets (currently all commented out).
    Closes: #693220.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Jan 2013 16:33:55 +0100

build-essential (11.5) unstable; urgency=low

  * Bump dependencies on gcc and g++ to 4.4.3.
  * Re-add explicit dependency on gcc. Closes: #536038.
  * Update essential packages lists. Closes: #545890.

 -- Matthias Klose <doko@debian.org>  Sun, 14 Mar 2010 23:03:13 +0100

build-essential (11.4) unstable; urgency=low

  * Regenerate the essential packages lists, including armel.
  * Increased versioned dependency on gcc and g++ to 4.3.1 (not alpha),
    to 4.2.4 (alpha).
  * Depend on hurd-dev [hurd-i386]. Closes: #456549.
  * Update package description. Closes: #480677.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Jul 2008 01:05:30 +0200

build-essential (11.3) unstable; urgency=low

  * Regenerate the essential packages lists, including amd64. Closes: #317336.
  * Increased versioned dependency on gcc and g++ to 4.1.1.
  * Update Standards-Version to 3.7.2. No changes required.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Jul 2006 01:17:14 +0200

build-essential (11.2) unstable; urgency=low

  * New maintainer.
  * Tighten versioned dependency on gcc and g++ to the versions
    with the libstdc++ allocator change. Closes: #343028.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Jan 2006 10:43:03 +0100

build-essential (11.1) unstable; urgency=low

  * If the source doesn't ship with an essential-package-list for the
    building architecture, create an empty one instead of failing.

 -- Scott James Remnant <scott@netsplit.com>  Thu,  7 Jul 2005 19:27:01 +0100

build-essential (11) unstable; urgency=low

  * Increased versioned dependency on gcc and g++ to 4.0.
  * Increased versioned dependency on dpkg-dev to 1.13.5 to provide
    support for the OS and CPU variables.
  * Updated policy references to 3.6.1.1.  Closes: #313277.
  * Regenerated essential-package-list files.  In line with dpkg, these
    now only exist for architectures in sid, all of the empty ones have
    been removed.
    - ncurses-base added for sh (creating this file)
    - login added for hurd-i386

 -- Scott James Remnant <scott@netsplit.com>  Tue,  5 Jul 2005 17:01:26 +0100

build-essential (10.1) unstable; urgency=low

  * Added (empty) amd64, kfreebsd-i386, knetbsd-i386 and powerpc64
    eseential-packages-list files.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 29 Aug 2004 18:49:36 +0100

build-essential (10) unstable; urgency=low

  * Fixed make-esslist.sh.
  * Added (empty) netbsd-i386 essential-packages-list file.
  * Remove strange \xB4 character from list, change to a '.  Closes: #199235.
  * Cleaned up package: removed {arch} cruft (moved to a subversion


=== debian/control ===
Source: build-essential-mipsen
Section: devel
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Scott James Remnant <scott@netsplit.com>
Standards-Version: 4.4.0
Build-Depends: debhelper (>= 9), python3:any, g++ (>= 4:9.2)

Package: crossbuild-essential-mips
Architecture: all
Depends: ${cross-essential}, ${misc:Depends}
Description: Informational list of cross-build-essential packages
 If you do not plan to cross build Debian packages, you don't need
 this package.  Starting with sbuild (>= 0.63.0) this package is
 required for cross building Debian packages in a chroot.
 .
 This package contains an informational list of packages which are
 considered essential for cross building Debian packages.  This
 package also depends on the packages on that list, to make it easy to
 have the cross-build-essential packages installed.
 .
 If you have this package installed, you only need to install whatever
 a package specifies as its build-time dependencies to cross build the
 package.  Conversely, if you are determining what your package needs
 to build-depend on, you can always leave out the packages this
 package depends on.

Package: crossbuild-essential-mipsel
Architecture: all
Depends: ${cross-essential}, ${misc:Depends}
Description: Informational list of cross-build-essential packages
 If you do not plan to cross build Debian packages, you don't need
 this package.  Starting with sbuild (>= 0.63.0) this package is
 required for cross building Debian packages in a chroot.
 .
 This package contains an informational list of packages which are
 considered essential for cross building Debian packages.  This
 package also depends on the packages on that list, to make it easy to
 have the cross-build-essential packages installed.
 .
 If you have this package installed, you only need to install whatever
 a package specifies as its build-time dependencies to cross build the
 package.  Conversely, if you are determining what your package needs
 to build-depend on, you can always leave out the packages this
 package depends on.

Package: crossbuild-essential-mips64
Architecture: all
Depends: ${cross-essential}, ${misc:Depends}
Description: Informational list of cross-build-essential packages
 If you do not plan to cross build Debian packages, you don't need
 this package.  Starting with sbuild (>= 0.63.0) this package is
 required for cross building Debian packages in a chroot.
 .
 This package contains an informational list of packages which are
 considered essential for cross building Debian packages.  This
 package also depends on the packages on that list, to make it easy to
 have the cross-build-essential packages installed.
 .
 If you have this package installed, you only need to install whatever
 a package specifies as its build-time dependencies to cross build the
 package.  Conversely, if you are determining what your package needs
 to build-depend on, you can always leave out the packages this
 package depends on.

Package: crossbuild-essential-mips64el
Architecture: all
Depends: ${cross-essential}, ${misc:Depends}
Description: Informational list of cross-build-essential packages
 If you do not plan to cross build Debian packages, you don't need
 this package.  Starting with sbuild (>= 0.63.0) this package is
 required for cross building Debian packages in a chroot.
 .
 This package contains an informational list of packages which are
 considered essential for cross building Debian packages.  This
 package also depends on the packages on that list, to make it easy to
 have the cross-build-essential packages installed.
 .
 If you have this package installed, you only need to install whatever
 a package specifies as its build-time dependencies to cross build the
 package.  Conversely, if you are determining what your package needs
 to build-depend on, you can always leave out the packages this
 package depends on.

Package: crossbuild-essential-mipsr6
Architecture: all
Depends: ${cross-essential}, ${misc:Depends}
Description: Informational list of cross-build-essential packages
 If you do not plan to cross build Debian packages, you don't need
 this package.  Starting with sbuild (>= 0.63.0) this package is
 required for cross building Debian packages in a chroot.
 .
 This package contains an informational list of packages which are
 considered essential for cross building Debian packages.  This
 package also depends on the packages on that list, to make it easy to
 have the cross-build-essential packages installed.
 .
 If you have this package installed, you only need to install whatever
 a package specifies as its build-time dependencies to cross build the
 package.  Conversely, if you are determining what your package needs
 to build-depend on, you can always leave out the packages this
 package depends on.

Package: crossbuild-essential-mipsr6el
Architecture: all
Depends: ${cross-essential}, ${misc:Depends}
Description: Informational list of cross-build-essential packages
 If you do not plan to cross build Debian packages, you don't need
 this package.  Starting with sbuild (>= 0.63.0) this package is
 required for cross building Debian packages in a chroot.
 .
 This package contains an informational list of packages which are
 considered essential for cross building Debian packages.  This
 package also depends on the packages on that list, to make it easy to
 have the cross-build-essential packages installed.
 .
 If you have this package installed, you only need to install whatever
 a package specifies as its build-time dependencies to cross build the
 package.  Conversely, if you are determining what your package needs
 to build-depend on, you can always leave out the packages this
 package depends on.

Package: crossbuild-essential-mips64r6
Architecture: all
Depends: ${cross-essential}, ${misc:Depends}
Description: Informational list of cross-build-essential packages
 If you do not plan to cross build Debian packages, you don't need
 this package.  Starting with sbuild (>= 0.63.0) this package is
 required for cross building Debian packages in a chroot.
 .
 This package contains an informational list of packages which are
 considered essential for cross building Debian packages.  This
 package also depends on the packages on that list, to make it easy to
 have the cross-build-essential packages installed.
 .
 If you have this package installed, you only need to install whatever
 a package specifies as its build-time dependencies to cross build the
 package.  Conversely, if you are determining what your package needs
 to build-depend on, you can always leave out the packages this
 package depends on.

Package: crossbuild-essential-mips64r6el
Architecture: all
Depends: ${cross-essential}, ${misc:Depends}
Description: Informational list of cross-build-essential packages
 If you do not plan to cross build Debian packages, you don't need
 this package.  Starting with sbuild (>= 0.63.0) this package is
 required for cross building Debian packages in a chroot.
 .
 This package contains an informational list of packages which are
 considered essential for cross building Debian packages.  This
 package also depends on the packages on that list, to make it easy to
 have the cross-build-essential packages installed.
 .
 If you have this package installed, you only need to install whatever
 a package specifies as its build-time dependencies to cross build the
 package.  Conversely, if you are determining what your package needs
 to build-depend on, you can always leave out the packages this
 package depends on.

## build-essential-mipsen 12.9

=== Makefile ===
--- 
+++ 
@@ -158,15 +158,15 @@
 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
 distcleancheck_listfiles = find . -type f -print
-ACLOCAL = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/missing aclocal-1.14
+ACLOCAL = ${SHELL} /home/syq/build-essential/build-essential-mipsen-12.9/missing aclocal-1.14
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
-AUTOCONF = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/missing autoconf
-AUTOHEADER = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/missing autoheader
-AUTOMAKE = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/missing automake-1.14
+AUTOCONF = ${SHELL} /home/syq/build-essential/build-essential-mipsen-12.9/missing autoconf
+AUTOHEADER = ${SHELL} /home/syq/build-essential/build-essential-mipsen-12.9/missing autoheader
+AUTOMAKE = ${SHELL} /home/syq/build-essential/build-essential-mipsen-12.9/missing automake-1.14
 AWK = gawk
 CYGPATH_W = echo
-DEB_HOST_ARCH = amd64
+DEB_HOST_ARCH = mips64el
 DEFS = -DPACKAGE_NAME=\"build-essential\" -DPACKAGE_TARNAME=\"build-essential\" -DPACKAGE_VERSION=\"11.1\" -DPACKAGE_STRING=\"build-essential\ 11.1\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"build-essential\" -DVERSION=\"11.1\"
 ECHO_C = 
 ECHO_N = -n
@@ -180,7 +180,7 @@
 LIBS = 
 LTLIBOBJS = 
 MAINT = #
-MAKEINFO = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/missing makeinfo
+MAKEINFO = ${SHELL} /home/syq/build-essential/build-essential-mipsen-12.9/missing makeinfo
 MKDIR_P = /usr/bin/mkdir -p
 PACKAGE = build-essential
 PACKAGE_BUGREPORT = 
@@ -194,10 +194,10 @@
 SHELL = /bin/bash
 STRIP = 
 VERSION = 11.1
-abs_builddir = /home/syq/develop/debian/build-essential/build-essential-12.8
-abs_srcdir = /home/syq/develop/debian/build-essential/build-essential-12.8
-abs_top_builddir = /home/syq/develop/debian/build-essential/build-essential-12.8
-abs_top_srcdir = /home/syq/develop/debian/build-essential/build-essential-12.8
+abs_builddir = /home/syq/build-essential/build-essential-mipsen-12.9
+abs_srcdir = /home/syq/build-essential/build-essential-mipsen-12.9
+abs_top_builddir = /home/syq/build-essential/build-essential-mipsen-12.9
+abs_top_srcdir = /home/syq/build-essential/build-essential-mipsen-12.9
 am__leading_dot = .
 am__tar = $${TAR-tar} chof - "$$tardir"
 am__untar = $${TAR-tar} xf -
@@ -214,7 +214,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/install-sh
+install_sh = ${SHELL} /home/syq/build-essential/build-essential-mipsen-12.9/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
@@ -342,3 +342,4 @@
 	|| find "$(distdir)" -type d ! -perm -755 \
 		-exec chmod u+rwx,go+rx {} \; -o \
 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
+	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \

=== debian/changelog ===
build-essential-mipsen (12.9) unstable; urgency=medium

  * sync with build-essential 12.9
    - Bump dependencies on gcc and g++ to 10.2.
    - Bump standards and debhelper versions.
    - Regenerate lists of essential packages.

 -- YunQiang Su <syq@debian.org>  Wed, 03 Feb 2021 14:05:25 +0800

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Uploaders: Scott James Remnant <scott@netsplit.com>
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 9), python3:any, g++ (>= 4:9.2)
+Uploaders: Scott James Remnant <scott@netsplit.com>, YunQiang Su <syq@debian.org>
+Standards-Version: 4.5.1
+Build-Depends: debhelper (>= 11), python3:any, g++ (>= 4:10.2)
 
 Package: crossbuild-essential-mips
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian build-essential package.
# Copyright © 2003, 2004 Scott James Remnant <scott@netsplit.com>

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
src_name := $(shell dpkg-parsechangelog -S Source)

ifeq ($(src_name),build-essential)
  cross_archs := $(shell grep -v '^\#' debian/cross-targets)
else ifeq ($(src_name),build-essential-mipsen)
  cross_archs := $(shell grep -v '^\#' debian/cross-targets-mipsen)
else
  $(error Unknown src_name)
endif

build: build-arch build-indep
build-arch: build-arch-stamp
build-indep: build-indep-stamp

debian/control: debian/control.in debian/control.cross debian/cross-targets
	sed -e "s/@src_name@/$(src_name)/" debian/control.in > $@
ifeq ($(src_name),build-essential)
	cat debian/control.native.in >> $@
endif
	for a in $(cross_archs); do \
	  sed -e "s/@DEB_TARGET_ARCH@/$$a/g" debian/control.cross >> $@; \
	done

configure-stamp:
	dh_testdir
	./configure --prefix=/usr
	touch configure-stamp

build-arch-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-arch-stamp

build-indep-stamp: configure-stamp
	dh_testdir
	for a in $(cross_archs); do \
	  t=$$(dpkg-architecture -f -a$$a -qDEB_HOST_GNU_TYPE 2>/dev/null | sed 's/_/-/'); \
	  echo $$a $$t; \
	  sed "s/@DEB_TARGET_ARCH@/$$a/g;s/@DEB_TARGET_GNU_TYPE@/$$t/g" \
	    list.cross > list.$$a; \
	done
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	rm -f config.cache config.log config.status
	rm -rf autom4te.cache
	for f in list.*; do \
	  case $$f in list|list.cross) continue; esac; \
	  rm -f $$f; \
	done
	rm -f essential-packages-list
	dh_clean

# Make it as clean as svn can make it.
svnclean: clean
	rm -rf `svn propget svn:ignore`

install-arch: build-arch
ifeq ($(src_name),build-essential)
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) prefix=$(CURDIR)/debian/build-essential/usr install

	printf > debian/build-essential.substvars "build-essential=%s\n" \
		"`./list2depends $(DEB_HOST_ARCH) < list`"

	mkdir -p debian/build-essential/usr/share/doc/build-essential
	ln -sf	../../build-essential/list \
		../../build-essential/essential-packages-list \
		debian/build-essential/usr/share/doc/build-essential
endif

install-indep: build-indep
	set -e; \
	for a in $(cross_archs); do \
	  p=crossbuild-essential-$$a; \
	  $(MAKE) prefix=$(CURDIR)/debian/$$p/usr install; \
	  rm -f debian/$$p/usr/share/build-essential/essential-packages-list; \
	  rm -rf debian/$$p/usr/share/$$p; \
	  mv debian/$$p/usr/share/build-essential \
		debian/$$p/usr/share/$$p; \
	  printf > debian/$$p.substvars "cross-essential=%s\n" \
		"`./list2depends $$a < list.$$a`"; \
	  cp list.$$a debian/$$p/usr/share/$$p/list; \
	  mkdir -p debian/$$p/usr/share/doc/$$p; \
	  ln -sf ../../$$p/list debian/$$p/usr/share/doc/$$p; \
	done

binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installchangelogs -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
ifneq (,$(cross_archs))
	dh_installdocs -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i
endif

binary: binary-indep binary-arch
.PHONY: build-arch build-indep clean svnclean \
    binary-indep binary-arch binary install-arch install-indep
